Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteCompletedTaskTable

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteCompletedTaskTable

extends java.rmi.Remote

The `RemoteCompletedTaskTable` interface provides methods to access the completed task records via RMI.
This is an RMI-based interface. Invoking the methods of this interface will make an RMI call to the associated JReport Server

See Also:
  `jet.server.api.CompletedTaskTable}.`, `CompletedTaskTable`, `CompletedTaskRecord`

Method Summary
`void` | `commit()` Commits changes into the disk.
`java.util.Vector` | `getAllCompletedTaskRecords()` Gets all the completed task records.
`CompletedTaskRecord` | `getCompletedTaskRecord(java.lang.String recordID)` Gets `CompletedTaskRecord` with the record ID.
`java.util.Vector` | `getCompletedTaskRecordsByReport(java.lang.String catalog, java.lang.String report)` Gets completed task records through the catalog and report.
`java.util.Vector` | `getCompletedTaskRecordsByTaskID(java.lang.String taskID)` Gets the completed task records below the specified task ID.
`java.util.Vector` | `getCompletedTaskRecordsByUser(java.lang.String userId)` Gets completed task records for the specified user.
`boolean` | `removeAllCompletedTaskRecord()` Removes all completed task records.
`boolean` | `removeCompletedTaskRecord(java.lang.String recordID)` Removes a completed task record with the specified record ID.

Method Detail

### getAllCompletedTaskRecords

    java.util.Vector getAllCompletedTaskRecords()
                                                throws java.rmi.RemoteException,
                                                       RptServerException

  Gets all the completed task records. The element of the result set is `CompletedTaskRecord`.

  Returns:
    the `Vector` of all the `CompletedTaskRecord` of the completed task.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution.
    `RptServerException` - If database error occurs.

### getCompletedTaskRecord

    CompletedTaskRecord getCompletedTaskRecord(java.lang.String recordID)
                                               throws java.rmi.RemoteException,
                                                      RptServerException

  Gets `CompletedTaskRecord` with the record ID.

  Parameters:
    `recordID` - The record ID.
  Returns:
    The CompletedTaskRecord specified by the record ID. If the record does not exist, it returns `null`.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution.
    `RptServerException` - If database error occurs.

### getCompletedTaskRecordsByTaskID

    java.util.Vector getCompletedTaskRecordsByTaskID(java.lang.String taskID)
                                                     throws java.rmi.RemoteException,
                                                            RptServerException

  Gets the completed task records below the specified task ID. The element of result collection is `CompletedTaskRecord`.

  Parameters:
    `taskID` - The task ID.
  Returns:
    the collection of `CompletedTaskRecord` of the completed task.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution.
    `RptServerException` - If database error occurs.

### getCompletedTaskRecordsByReport

    java.util.Vector getCompletedTaskRecordsByReport(java.lang.String catalog,
                                                     java.lang.String report)
                                                     throws java.rmi.RemoteException,
                                                            RptServerException

  Gets completed task records through the catalog and report. The element of result collection is `CompletedTaskRecord`.

  Parameters:
    `catalog` - The full path catalog name on resource tree, such as /SampleReports/Catalog1.cat.
    `report` - The full path report name on resource tree, such as /SampleReports/Report1.cls.
  Returns:
    the collection of `CompletedTaskRecord` of the completed task.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution.
    `RptServerException` - If database error occurs.

### getCompletedTaskRecordsByUser

    java.util.Vector getCompletedTaskRecordsByUser(java.lang.String userId)
                                                   throws java.rmi.RemoteException,
                                                          RptServerException

  Gets completed task records for the specified user. The element of result collection is `CompletedTaskRecord`.

  Parameters:
    `userId` - Owner of the completed task.
  Returns:
    the collection of `CompletedTaskRecord` of the completed task.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution.
    `RptServerException` - If database error occurs.

### removeCompletedTaskRecord

    boolean removeCompletedTaskRecord(java.lang.String recordID)
                                      throws java.rmi.RemoteException,
                                             RptServerException

  Removes a completed task record with the specified record ID.

  Parameters:
    `recordID` - The record ID to be removed.
  Returns:
    If the completed task is removed, returns `true`; if the record id does not exist, returns `false`.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution.
    `RptServerException` - If database error occurs.

### removeAllCompletedTaskRecord

    boolean removeAllCompletedTaskRecord()
                                         throws java.rmi.RemoteException,
                                                RptServerException

  Removes all completed task records.

  Returns:
    If all records are removed successfully, returns `true`; if not all records are removed, returns `false`.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution.
    `RptServerException` - If database error occurs.

### commit

    void commit()
                throws java.rmi.RemoteException,
                       RptServerException

  Commits changes into the disk.

  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution.
    `RptServerException` - If database error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD